import { SourceBase } from './SourceBase';
export class UrlSource extends SourceBase {
    constructor() {
        super();
        this.nativeGetUri = () => {
            return this.mUri;
        };
        this.nativeSetUri_ = (j37) => {
            this.mUri = j37;
        };
        this.nativeGetExtraInfo = () => {
            return this.mExtraInfo;
        };
        this.nativeSetExtraInfo = (i37) => {
            this.mExtraInfo = i37;
        };
        this.nativeGetCacheFilePath = () => {
            return this.mCacheFilePath;
        };
        this.nativeSetCacheFilePath = (h37) => {
            this.mCacheFilePath = h37;
        };
        this.nativeGetOriginSize = () => {
            return this.mOriginSize;
        };
        this.nativeSetOriginSize = (g37) => {
            this.mOriginSize = g37;
        };
        this.mUri = "";
        this.mCacheFilePath = "";
        this.mQuality = "AUTO";
        this.mForceQuality = true;
        this.mOriginSize = 0;
        this.mExtraInfo = "";
    }
    getUri() {
        return this.mUri;
    }
    getExtraInfo() {
        return this.mExtraInfo;
    }
    setExtraInfo(x36) {
        this.mExtraInfo = x36;
    }
    setUri(w36) {
        this.mUri = w36;
    }
    getCacheFilePath() {
        return this.mCacheFilePath;
    }
    setCacheFilePath(v36) {
        this.mCacheFilePath = v36;
    }
    getOriginSize() {
        return this.mOriginSize;
    }
    setOriginSize(u36) {
        this.mOriginSize = u36;
    }
}
